DROP TABLE IF EXISTS PageLog;
CREATE TABLE PageLog (
 plOID          integer  AUTO_INCREMENT NOT NULL,
 registDate     TIMESTAMP NOT NULL,
 siteOID        INTEGER NOT NULL,
 pageOID        INTEGER NOT NULL,
 remoteHost     VARCHAR(255),
 serverProtocol VARCHAR(20),
 acceptLang     VARCHAR(255),
 acceptLangCd   CHAR(2)   DEFAULT NULL,
 ref            VARCHAR(255),
 userAgent      VARCHAR(255),
 scrWidth       INTEGER,
 scrHeight      INTEGER,
 colDepth       TINYINT,
 jsEnable       boolean,
 ckEnable       boolean,
 pageNum        INTEGER,
 siteNum        INTEGER,
 lastDT         TIMESTAMP,
 firstDT        TIMESTAMP,
 accKey         VARCHAR(100)   DEFAULT NULL,
 proxy          TEXT,
 forwardedFor   TEXT   DEFAULT NULL,
 schWord        TEXT   DEFAULT NULL,
 ispOID         INTEGER   DEFAULT NULL,
 brOID          INTEGER   DEFAULT NULL,
 delFlag        TINYINT   DEFAULT 0.0 NOT NULL,
 PRIMARY KEY (plOID) ) ;

CREATE  INDEX IDX_PageLog3 ON PageLog (
	ref
);
CREATE  INDEX IDX_PageLog6 ON PageLog (
	siteOID
);
CREATE  INDEX IDX_PageLog4 ON PageLog (
	userAgent
);
CREATE  INDEX IDX_PageLog1 ON PageLog (
	pageOID
);
CREATE  INDEX IDX_PageLog2 ON PageLog (
	remoteHost
);
CREATE  INDEX IDX_PageLog5 ON PageLog (
	accKey
);
