DROP TABLE IF EXISTS FUser;
CREATE TABLE FUser (
 userOID    integer  AUTO_INCREMENT NOT NULL,
 registDate TIMESTAMP NOT NULL,
 updateDate TIMESTAMP NOT NULL,
 email      VARCHAR(100) NOT NULL,
 password   VARCHAR(20) NOT NULL,
 delFlag    TINYINT   DEFAULT 0.0 NOT NULL,
 PRIMARY KEY (userOID) ) ;

CREATE UNIQUE INDEX IDX_FUser1 ON FUser (
	email
);
DROP TABLE IF EXISTS TmpUser;
CREATE TABLE TmpUser (
 userOID    integer  AUTO_INCREMENT NOT NULL,
 registDate TIMESTAMP NOT NULL,
 email      VARCHAR(255) NOT NULL,
 password   VARCHAR(20) NOT NULL,
 checkKey   VARCHAR(100) NOT NULL,
 delFlag    TINYINT   DEFAULT 0.0 NOT NULL,
 PRIMARY KEY (userOID) ) ;

CREATE UNIQUE INDEX IDX_TmpUser1 ON TmpUser (
	email
);
DROP TABLE IF EXISTS FUserDtl;
CREATE TABLE FUserDtl (
 userOID    integer  AUTO_INCREMENT NOT NULL,
 registDate TIMESTAMP NOT NULL,
 updateDate TIMESTAMP NOT NULL,
 nickName   VARCHAR(64)   DEFAULT 'No Name',
 sdate      DATE,
 gender     VARCHAR(1)   DEFAULT '0',
 jobOID     INTEGER,
 itOID      TEXT,
 delFlag    TINYINT   DEFAULT 0.0 NOT NULL,
 PRIMARY KEY (userOID) ) ;

DROP TABLE IF EXISTS TmpUserDtl;
CREATE TABLE TmpUserDtl (
 userOID    integer  AUTO_INCREMENT NOT NULL,
 registDate TIMESTAMP NOT NULL,
 updateDate TIMESTAMP NOT NULL,
 nickName   VARCHAR(64)   DEFAULT 'No Name',
 sdate      DATE,
 gender     VARCHAR(1)   DEFAULT '0',
 jobOID     INTEGER,
 itOID      TEXT,
 delFlag    TINYINT   DEFAULT 0.0 NOT NULL,
 PRIMARY KEY (userOID) ) ;

DROP TABLE IF EXISTS Nm;
CREATE TABLE Nm (
 nmOID   integer  AUTO_INCREMENT NOT NULL,
 bCode   INTEGER NOT NULL,
 kCode   INTEGER NOT NULL,
 name    VARCHAR(255) NOT NULL,
 delFlag TINYINT   DEFAULT 0.0 NOT NULL,
 PRIMARY KEY (nmOID) ) ;

CREATE UNIQUE INDEX IDX_Nm1 ON Nm (
	bCode,kCode
);
CREATE  INDEX IDX_Nm2 ON Nm (
	name
);
DROP TABLE IF EXISTS Site;
CREATE TABLE Site (
 siteOID    integer  AUTO_INCREMENT NOT NULL,
 registDate TIMESTAMP NOT NULL,
 updateDate TIMESTAMP NOT NULL,
 userOID    INTEGER NOT NULL,
 siteName   VARCHAR(255) NOT NULL,
 expl       VARCHAR(255),
 lastOpenDT TIMESTAMP,
 adminHost  VARCHAR(255)   DEFAULT NULL,
 iconCol    TINYINT   DEFAULT 1.0 NOT NULL,
 iconPos    TINYINT   DEFAULT 1.0 NOT NULL,
 delFlag    TINYINT   DEFAULT 0.0 NOT NULL,
 PRIMARY KEY (siteOID) ) ;

CREATE  INDEX IDX_Site3 ON Site (
	registDate
);
CREATE  INDEX IDX_Site1 ON Site (
	userOID
);
CREATE  INDEX IDX_Site2 ON Site (
	siteName
);
DROP TABLE IF EXISTS Page;
CREATE TABLE Page (
 pageOID    integer  AUTO_INCREMENT NOT NULL,
 registDate TIMESTAMP NOT NULL,
 updateDate TIMESTAMP NOT NULL,
 siteOID    INTEGER NOT NULL,
 pageName   VARCHAR(255) NOT NULL,
 odr        INTEGER   DEFAULT 10.0,
 delFlag    TINYINT   DEFAULT 0.0 NOT NULL,
 PRIMARY KEY (pageOID) ) ;

CREATE  INDEX IDX_Page1 ON Page (
	siteOID
);
DROP TABLE IF EXISTS PageLog;
CREATE TABLE PageLog (
 plOID          integer  AUTO_INCREMENT NOT NULL,
 registDate     TIMESTAMP NOT NULL,
 siteOID        INTEGER NOT NULL,
 pageOID        INTEGER NOT NULL,
 remoteHost     VARCHAR(255),
 serverProtocol VARCHAR(20),
 acceptLang     VARCHAR(255),
 acceptLangCd   CHAR(2)   DEFAULT NULL,
 ref            VARCHAR(255),
 userAgent      VARCHAR(255),
 scrWidth       INTEGER,
 scrHeight      INTEGER,
 colDepth       TINYINT,
 jsEnable       boolean,
 ckEnable       boolean,
 pageNum        INTEGER,
 siteNum        INTEGER,
 lastDT         TIMESTAMP,
 firstDT        TIMESTAMP,
 accKey         VARCHAR(100)   DEFAULT NULL,
 proxy          TEXT,
 forwardedFor   TEXT   DEFAULT NULL,
 schWord        TEXT   DEFAULT NULL,
 ispOID         INTEGER   DEFAULT NULL,
 brOID          INTEGER   DEFAULT NULL,
 delFlag        TINYINT   DEFAULT 0.0 NOT NULL,
 PRIMARY KEY (plOID) ) ;

CREATE  INDEX IDX_PageLog3 ON PageLog (
	ref
);
CREATE  INDEX IDX_PageLog6 ON PageLog (
	siteOID
);
CREATE  INDEX IDX_PageLog4 ON PageLog (
	userAgent
);
CREATE  INDEX IDX_PageLog1 ON PageLog (
	pageOID
);
CREATE  INDEX IDX_PageLog2 ON PageLog (
	remoteHost
);
CREATE  INDEX IDX_PageLog5 ON PageLog (
	accKey
);
DROP TABLE IF EXISTS UrlRep;
CREATE TABLE UrlRep (
 urOID      integer  AUTO_INCREMENT NOT NULL,
 updateDate TIMESTAMP NOT NULL,
 siteOID    INTEGER NOT NULL,
 odr        INTEGER NOT NULL,
 inc        TEXT,
 rep        TEXT,
 link       TEXT,
 PRIMARY KEY (urOID) ) ;

CREATE  INDEX IDX_UrlRep1 ON UrlRep (
	siteOID
);
DROP TABLE IF EXISTS ISP;
CREATE TABLE ISP (
 ispOID    integer  AUTO_INCREMENT NOT NULL,
 ispdomein VARCHAR(255) NOT NULL,
 PRIMARY KEY (ispOID) ) ;

CREATE UNIQUE INDEX IDX_Isp1 ON ISP (
	ispdomein
);
DROP TABLE IF EXISTS OS;
CREATE TABLE OS (
 osOID  integer  AUTO_INCREMENT NOT NULL,
 oskey  VARCHAR(255) NOT NULL,
 osname TEXT NOT NULL,
 PRIMARY KEY (osOID) ) ;

CREATE UNIQUE INDEX IDX_OS1 ON OS (
	oskey
);
DROP TABLE IF EXISTS Browser;
CREATE TABLE Browser (
 brOID  integer  AUTO_INCREMENT NOT NULL,
 brname VARCHAR(255) NOT NULL,
 PRIMARY KEY (brOID) ) ;

CREATE UNIQUE INDEX IDX_Br1 ON Browser (
	brname
);
DROP TABLE IF EXISTS SchEngine;
CREATE TABLE SchEngine (
 seOID    integer  AUTO_INCREMENT NOT NULL,
 domein   VARCHAR(255) NOT NULL,
 sitename VARCHAR(255) NOT NULL,
 PRIMARY KEY (seOID) ) ;

CREATE UNIQUE INDEX IDX_SchEngine1 ON SchEngine (
	domein
);
DROP TABLE IF EXISTS Cal;
CREATE TABLE Cal (
 ymd CHAR(8) NOT NULL,
 PRIMARY KEY (ymd) ) ;

